server {
        listen       8889;
        server_name  localhost;
        #允许跨域请求的域，*代表所有
        add_header 'Access-Control-Allow-Origin' *;
        #允许带上cookie请求
        add_header 'Access-Control-Allow-Credentials' 'true';
         #允许请求的方法，比如 GET/POST/PUT/DELETE
        add_header 'Access-Control-Allow-Methods' *;
         #允许请求的header
        add_header 'Access-Control-Allow-Headers' *;

    	location /electronic {
          root  /root/offline_map/;
          autoindex on;
          add_header Access-Control-Allow-Origin *;
          add_header Access-Control-Allow-Methods 'GET,POST';
          add_header Access-Control-Allow-Headers 'DNT,X-Mx-ReqToken,Keep-Alive,User-Agent,X-Requested-With,If-Modified-Since,Cache-Control,Content-Type,Authorization';
        }

        location /satellite {
          root  /root/offline_map/;
          autoindex on;
          add_header Access-Control-Allow-Origin *;
          add_header Access-Control-Allow-Methods 'GET,POST';
          add_header Access-Control-Allow-Headers 'DNT,X-Mx-ReqToken,Keep-Alive,User-Agent,X-Requested-With,If-Modified-Since,Cache-Control,Content-Type,Authorization';
        }

        # http://20.4.13.81:8889/electronic/{z}/{x}/{y}.png
        # http://20.4.13.81:8889/satellite/{z}/{x}/{y}.png
}